Bug 911949 - default gateway is missing if you disable NetworkManager
default gateway is missing if you disable NetworkManager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-16 17:09 EST by Greg Treantos
Modified: 2014-02-06 15:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 14:13:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Treantos 2013-02-16 17:09:35 EST
Description of problem:When you disable NetworkManager the default gateway does not get set using standard networking


Version-Release number of selected component (if applicable):Fedora 18 clean network install


How reproducible:Every time


Steps to Reproduce:
1.systemctl stop NetworkManager.service
2.systemctl disable NetworkManager.service
3.chkconfig network on
4.reboot
5.check route, default gateway missing
  
Actual results:
[root@localhost ~]# route
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
default         192.168.1.1     0.0.0.0         UG    0      0        0 p4p1
192.168.1.0     *               255.255.255.0   U     0      0        0 p4p1
192.168.122.0   *               255.255.255.0   U     0      0        0 virbr0


Expected results:
[root@localhost ~]# route
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
default         192.168.1.1     0.0.0.0         UG    0      0        0 p4p1
192.168.1.0     *               255.255.255.0   U     0      0        0 p4p1
192.168.122.0   *               255.255.255.0   U     0      0        0 virbr0

Additional info: ifcfg-p4p1
[root@localhost ~]# cat /etc/sysconfig/network-scripts/ifcfg-p4p1
TYPE=Ethernet
BOOTPROTO=none
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
NAME=p4p1
UUID=b44738ce-75b7-412e-ba6c-c957f1a9a703
ONBOOT=yes
HWADDR=90:2b:34:db:d3:3e
IPADDR0=192.168.1.31
PREFIX0=24
GATEWAY0=192.168.1.1
DNS1=192.168.1.1
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes
NETMASK=255.255.255.0
USERCTL=no
PREFIX=24
Comment 1 rambler8 2013-05-09 17:37:39 EDT
This issue was reported earlier (see Bug 708409) but the bug was auto-closed when Fedora 16 reached EOL. The work around is to change:

GATEWAY0=192.168.1.1

to

GATEWAY=192.168.1.1
Comment 2 Jason Brooks 2013-09-09 15:17:11 EDT
This bug affects F19 as well.
Comment 3 Fedora End Of Life 2013-12-21 06:27:56 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 René Genz 2014-01-29 18:09:25 EST
F20 is affected as well.
What I do is:
1. kickstart text-only installation with static IPv4 adress assignment (IPv6 disabled); uninstall NetworkManager in %post section
2. after installation:
$ cd /etc/sysconfig/network-scripts/
$ cat ifcfg-em1
...
IPADDR0=<IPv4 adress>
PREFIX0=22
GATEWAY0=<IPv4 gateway adress>

$ sed -i 's/0=/=/' ifcfg-em1

$ cat ifcfg-em1
...
IPADDR=<IPv4 adress>
PREFIX=22
GATEWAY=<IPv4 gateway adress>

$ systemctl restart network.service

and everything works fine again
Comment 5 Fedora End Of Life 2014-02-05 14:13:28 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 René Genz 2014-02-06 15:27:07 EST
reposted the bug as 1062409 because I could not change the Fedora version.

Note You need to log in before you can comment on or make changes to this bug.